
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.ender_items.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.ender_items.EnderItemsMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EnderItemsModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, EnderItemsMod.MODID);
	public static final RegistryObject<CreativeModeTab> ENDER_ITEMS = REGISTRY.register("ender_items",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.ender_items.ender_items")).icon(() -> new ItemStack(EnderItemsModItems.ENDER_CRYSTAL.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EnderItemsModBlocks.END_ORE_BLOCK.get().asItem());
				tabData.accept(EnderItemsModItems.ENDER_CRYSTAL_SHARD.get());
				tabData.accept(EnderItemsModItems.ENDER_CRYSTAL.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_GEM.get());
				tabData.accept(EnderItemsModBlocks.BLOCK_OF_ENDER_CRYSTAL.get().asItem());
				tabData.accept(EnderItemsModItems.ENDER_SWORD.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_SWORD.get());
				tabData.accept(EnderItemsModItems.ENDER_PICKAXE.get());
				tabData.accept(EnderItemsModItems.ENDER_AXE.get());
				tabData.accept(EnderItemsModItems.ENDER_SHOVEL.get());
				tabData.accept(EnderItemsModItems.ENDER_HOE.get());
				tabData.accept(EnderItemsModItems.ENDER_SHARP_SWORD.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_PICKAXE.get());
				tabData.accept(EnderItemsModItems.ENDER_ARMOR_HELMET.get());
				tabData.accept(EnderItemsModItems.ENDER_ARMOR_CHESTPLATE.get());
				tabData.accept(EnderItemsModItems.ENDER_ARMOR_LEGGINGS.get());
				tabData.accept(EnderItemsModItems.ENDER_ARMOR_BOOTS.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_AXE.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_SHOVEL.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_HOE.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_SHARP_SWORD.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_HELMET.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_CHESTPLATE.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_LEGGINGS.get());
				tabData.accept(EnderItemsModItems.ENDER_INFINITY_BOOTS.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(EnderItemsModItems.WOODEN_SHARP_SWORD.get());
			tabData.accept(EnderItemsModItems.STONE_SHARP_SWORD.get());
			tabData.accept(EnderItemsModItems.GOLDEN_SHARP_SWORD.get());
			tabData.accept(EnderItemsModItems.IRON_SHARP_SWORD.get());
			tabData.accept(EnderItemsModItems.DIAMOND_SHARP_SWORD.get());
			tabData.accept(EnderItemsModItems.NETHERITE_SHARP_SWORD.get());
		}
	}
}
