
package net.mcreator.ender_items.enchantment;

import net.minecraft.world.item.enchantment.EnchantmentCategory;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.EquipmentSlot;

import net.mcreator.ender_items.init.EnderItemsModItems;

public class StunneEnchantment extends Enchantment {
	public StunneEnchantment(EquipmentSlot... slots) {
		super(Enchantment.Rarity.UNCOMMON, EnchantmentCategory.WEAPON, slots);
	}

	@Override
	public int getMaxLevel() {
		return 2;
	}

	@Override
	public boolean canApplyAtEnchantingTable(ItemStack itemstack) {
		return Ingredient.of(new ItemStack(EnderItemsModItems.WOODEN_SHARP_SWORD.get()), new ItemStack(EnderItemsModItems.STONE_SHARP_SWORD.get()), new ItemStack(EnderItemsModItems.GOLDEN_SHARP_SWORD.get()),
				new ItemStack(EnderItemsModItems.IRON_SHARP_SWORD.get()), new ItemStack(EnderItemsModItems.DIAMOND_SHARP_SWORD.get()), new ItemStack(EnderItemsModItems.NETHERITE_SHARP_SWORD.get()),
				new ItemStack(EnderItemsModItems.ENDER_SHARP_SWORD.get()), new ItemStack(EnderItemsModItems.ENDER_INFINITY_SHARP_SWORD.get())).test(itemstack);
	}
}
